package com.example.doctor.Patients.Reports.Edit

import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.FragmentActivity
import com.example.doctor.Adapter.VpEditSportAdapter
import com.example.doctor.Patients.Reports.Edit.TabLayout.EditSportNoFragment
import com.example.doctor.Patients.Reports.Edit.TabLayout.EditSportYesFragment
import com.example.doctor.R
import com.example.doctor.databinding.FragmentEditSportBinding
import com.google.android.material.tabs.TabLayoutMediator


class EditSportFragment : Fragment() {
    private lateinit var binding: FragmentEditSportBinding

    private val tListSport = listOf(
        "Активные",
        "Отключенные",
    )

    //Список с фрагментами для переключения
    private val flistSport  = listOf(
            EditSportYesFragment.newInstance(),
            EditSportNoFragment.newInstance(),
        )

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        binding = FragmentEditSportBinding.inflate(layoutInflater,container,false)
        return binding.root
    }

    companion object {

        fun newInstance() = EditSportFragment()
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        init()

    }


    //Функция подключения переключения
    private fun init() = with(binding) {
        val adapter = VpEditSportAdapter(activity as FragmentActivity, flistSport)
        vpEditSport.adapter = adapter

        //Переключения (связываем таблаяут(переключатель) с viewpager, чтобы переключать фрагменты)
        TabLayoutMediator(tabLayoutSport, vpEditSport) { tab, pos ->
            tab.text =
                tListSport[pos]//tab - нажатая кнопка, pos - позиция кнопки, tList[pos] - передаем название по полученной позиции
        }.attach()// attach() - чтобы все переключалось, а не вывадило постоянно один экран

        //Изменения цвета в зависомости на каком из tabLayout вы находитесь
        binding.tabLayoutSport.setTabTextColors(getResources().getColor(R.color.black),
            getResources().getColor(R.color.white));
    }



//    //Инициализация списка
//    private fun initRcViewDay() = with(binding) {
//        rcView.layoutManager =
//            GridLayoutManager(requireContext(), 1)//По вертикали будет выводить по умолчанию
//        adapterPatient = PatientListAdapter(this@PatientsListFragment)
//        rcView.adapter = adapterPatient
//    }
}